import { ColumnProps } from 'ant-design-vue/es/table';
import { NsTableCell } from './table-cell';
import { h } from 'vue';
interface Params {
  text: string;
  record: Recordable;
  index: number;
}
export function renderEditCell(column: ColumnProps) {
  return ({ text: value, record, index }: Params) => {
    return h(NsTableCell, {
      value,
      record,
      column,
      index,
    });
  };
}
